User
View and modify user settings, roles and organizations.
Get Current User
/user
Get the current user.
Requires a bearer access token for this API with the Global.Self.Read permission. See Authentication.
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/v1/user" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Get User Detail
/user/detail
Get the current user's detail
Requires a bearer access token for this API with the Global.Self.Read permission. See Authentication.
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
UserDetail
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/v1/user/detail" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Update User Detail
/user/detail
Update the current user's detail
Requires a bearer access token for this API with the Global.Self.Write permission. See Authentication.
Request body
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X PATCH "https://connect.cambrionix.com/api/v1/user/detail" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "displayName": "string", "givenName": "string", "surname": "string" }'
Get User Invitations
/user/invites
Get any invitations that the user has received.
Requires a bearer access token for this API with the Global.Self.Read permission. See Authentication.
Parameters
The maximum number of items to return.
Returns the next page: the _metadata.continuationToken of the previous response.
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/v1/user/invites" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Get MFA Status
/user/mfa
Get the current user's Auth0 MFA factor availability and enrollment status.
Requires a bearer access token for this API with the Global.Self.Read permission. See Authentication.
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/v1/user/mfa" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Create MFA Enrollment Ticket
/user/mfa
Create an Auth0 Guardian MFA enrollment ticket for a specific factor. Existing enrollments for that factor are cleared so users can set up or reset it.
Requires a bearer access token for this API with the Global.Self.Write permission. See Authentication.
Request body
One of: "otp", "email", "webauthn-roaming", "webauthn-platform"
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X POST "https://connect.cambrionix.com/api/v1/user/mfa" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "factor": "otp" }'
Delete MFA Enrollment
/user/mfa/enrollments/{enrollmentId}
Delete a specific Auth0 Guardian MFA enrollment for the current user.
Requires a bearer access token for this API with the Global.Self.Write permission. See Authentication.
Parameters
Path parameter
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X DELETE "https://connect.cambrionix.com/api/v1/user/mfa/enrollments/{enrollmentId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Get User Organizations
/user/organizations
Get the organizations that the user is associated with.
Requires a bearer access token for this API with the Global.Self.Read permission. See Authentication.
Parameters
Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).
Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).
The maximum number of items to return.
Returns the next page: the _metadata.continuationToken of the previous response.
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/v1/user/organizations" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Get Global User Permissions
/user/permissions
Get all Global User Permissions for the current User.
Requires a bearer access token for this API with the Global.Self.Read permission. See Authentication.
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
One of: "Global.E2E.Write", "Global.Organization.Read", "Global.Organization.Write", "Global.Organization.Join", "Global.Organization.Create", "Global.Role.Write", "Global.Role.Read", "Global.License.Template.Read", "Global.License.Template.Write", "Global.License.Template.Delete", "Global.License.Feature.Template.Read", "Global.License.Feature.Template.Write" and 62 more
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/v1/user/permissions" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Get Session Activity
/user/session-activity
Get the current user's last successful sign-in time and IP address from Auth0.
Requires a bearer access token for this API with the Global.Self.Read permission. See Authentication.
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
UserSessionActivity
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/v1/user/session-activity" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Get User Settings
/user/settings
Get the current user's settings
Requires a bearer access token for this API with the Global.Self.Read permission. See Authentication.
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/v1/user/settings" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Update User Settings
/user/settings
Update the current user's settings
Requires a bearer access token for this API with the Global.Self.Write permission. See Authentication.
Request body
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X PUT "https://connect.cambrionix.com/api/v1/user/settings" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Patch User Settings
/user/settings
Partially update the current user's settings
Requires a bearer access token for this API with the Global.Self.Write permission. See Authentication.
Request body
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X PATCH "https://connect.cambrionix.com/api/v1/user/settings" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "defaultOrganization": { "id": "string" }, "notifications": { "disconnection": true, "rfid": true, "update": true, "firmware": true }, "personalization": { "theme": "Light", "units": { "memory": "Binary", "temperature": "Celsius" } } }'